/* Release 0.01a */
/*
 ***************************************************************************
 *                                                                         *
 *      clberror.h   - Internal error codes                                *
 *                                                                         *
 *      Copyright(C) 1992-92 Clarion Software Corporation.                 *
 *                                                                         *
 *      LastMod 17 Nov 92 GH                                               *
 *      Created 12 Oct 92 GH                                               *
 *                                                                         *
 ***************************************************************************/

#define  e_corrupt_unknown_block    0
#define  e_out_free_space           1
#define  e_end_heap_overwritten     2
#define  e_inconsist_block_tag      3
#define  e_illegal_size_field       4
#define  e_free_block_tag_corrupt   5
#define  e_tag_mismatch             6
#define  e_size_inconsitancy        7
#define  e_bad_block_ptr            8
#define  e_mangled_free_list        9
#define  e_memory_leak              10
#define  e_free_block_twice         11

#define  e_test_char_out_range      20

#define  e_trunc_excl_invalid       40
#define  e_excl_needs_creat         41

#define  e_read_output_stream       50
#define  e_write_input_stream       51
#define  e_read_non_rd_file         52
#define  e_write_non_wr_file        53
#define  e_unget_output_stream      54
#define  e_flush_last_op_read       55

#define  e_op_on_null_stream        57
#define  e_closed_stream_already    58
#define  e_handle_not_stream        59

#define  e_setvbuf_after_op         60
#define  e_direct_mixed_with_stream 62

#define  e_unable_to_del_tmpfile    64

#define  e_bad_specifier_flags      70

#define  e_pure_virtual_function    80
#define  e_tbd                      81

#ifdef __cplusplus
extern "C" {
#endif

extern void (*_ReportError)(int errnum, ...);
extern void tbd(const char *);

#ifdef __cplusplus
}
#endif
