#ifndef _LFNSUPP_INCL
#define _LFNSUPP_INCL

#ifdef __cplusplus
extern "C" {
#endif
#pragma save, call(near_call=>off) // needed in TPSBT

int _OsLongToShortFilename(const char * lfna,char * sfn,int create);
int _OsShortToLongFilename(const char * sfna,char * lfn);

#ifndef __32BIT_

int _LfnMakeDirectory(const char *Path);
int _LfnRemoveDirectory(const char *Path);
int _LfnChangeDirectory(const char *Path);
int _LfnCreateFile(const char *Path, int *pHnd, unsigned char Attr);
int _LfnOpenFile(const char *Path, int *pHnd, unsigned char Access);
int _LfnDeleteFile(const char *Path);
int _LfnGetFileMode(const char *Path, int *pMode);
int _LfnChgFileMode(const char *Path, int Mode);
int _LfnGetCurrentDir(int Drv, char *pDir/*[255]*/);
int _LfnRenameFile(const char *OldPath, const char *NewPath);


int _OsLongToShortFilename(const char * lfna,char * sfn,int create);
int _OsShortToLongFilename(const char * sfna,char * lfn);

typedef struct _LFN_FIND_DATAtag {
    unsigned long dwFileAttributes;
    char   rsvd0[16];
    unsigned wTime;
    unsigned wDate;
    char   rsvd1[8];
    unsigned long dwFileSize;
    char   rsvd2[8];
    char   cFileName[ 260 ];
    char   cAlternateFileName[ 14 ];
    char   rsvd3[2];
} _LFN_FIND_DATA;

#define _LFN_FILE_ATTRIBUTE_READONLY         0x00000001
#define _LFN_FILE_ATTRIBUTE_HIDDEN           0x00000002
#define _LFN_FILE_ATTRIBUTE_SYSTEM           0x00000004
#define _LFN_FILE_ATTRIBUTE_DIRECTORY        0x00000010
#define _LFN_FILE_ATTRIBUTE_ARCHIVE          0x00000020


int _LfnFindFirst(const char *fn,_LFN_FIND_DATA *data,unsigned long* phandle);
int _LfnFindNext(unsigned long handle,_LFN_FIND_DATA *data);
int _LfnFindClose(unsigned long handle);


#endif // !__32BIT_

int _LfnInit(int wanted); // only called by WSL

#pragma name(prefix=>"")
extern int Wsl@LFNEnabled; /* Should use long filenames if possible if TRUE */

#pragma restore
#ifdef __cplusplus
}
#endif


#endif // _LFNSUPP_INCL
