/* Release 0.01a*/
/*
 ***************************************************************************
 *                                                                         *
 *      os2func.h    - Definitions os2 specific functions.                 *
 *                                                                         *
 *      Copyright(C) 1992-92 Clarion Software Corporation.                 *
 *                                                                         *
 *      LastMod 17 Nov 92 GH                                               *
 *      Created  2 Nov 92 GH                                               *
 *                                                                         *
 ***************************************************************************/

#include <io.h>

#ifdef __cplusplus
extern "C" {
#endif

/*
 * Heap manager functions.
 */
void *  _OSGetBlock(size_t BlockSize);
void    _OSFreeBlock(void * ptr);
void *  _OSExpandBlock(void * ptr, size_t NewSize);

#define _OSread read
#define _OSwrite write
#define _OSseek  lseek
#define _OStell tell
#define _OSopen _open
#define _OScreate _create
#define _OSclose close
#define _read read
#define _write write
#define OS_seek _OSseek

#define OS_SEEK_CUR SEEK_CUR
#define OS_SEEK_SET SEEK_SET
#define OS_SEEK_END SEEK_END


#ifdef __cplusplus
}
#endif
