/* Release 3.10 */
/*-------------------------------------------------------------------------*
*                                                                          *
*  stringx.h-  Definitions for extended string operations .                *
*                                                                          *
*  COPYRIGHT (C) 1989..1992 Clarion Software Corporation                   *
*  All Rights Reserved                                                     *
*                                                                          *
*--------------------------------------------------------------------------*/

#ifndef _STRINGX_INC_
#define _STRINGX_INC_
#ifdef __cplusplus
extern "C" {
#endif

char	*strpack(char *dst,char *src,char *set,int c);
char	*strcpack(char *dst,char *src,char *set,int c);

int	strrpt(char *dst,char *src,int k);
int	strnrpt(char *dst,int n,char *src,int k);

void	strtrans(char *dst,char *src,char * from,char * to);
void	strntrans(char *dst,char *src,int len,char * from,char * to);

char	*strtrim(char *dst,char *src,char *set,int ends);
char	*strctrim(char *dst,char *src,char *set,int ends);

char	*strfind(char *src,char *pat);
char	*strrepl(char *dst,char *src,char *pat,char *rep,int times);

char    *strxcat(char *dst, ... /* src1,, srcn, NULL */);
char    *strxcpy(char *dst, ... /* src1,, srcn, NULL */);




#ifdef __cplusplus
}
#endif
#endif
