/* Release 0.01a */
/*
 ***************************************************************************
 *                                                                         *
 *      timeutil.h - character testing functions                           *
 *                                                                         *
 *      Copyright(C) 1992-92 Clarion Software Corporation.                 *
 *                                                                         *
 *      LastMod 11 Nov 92 GH                                               *
 *      Created 11 Nov 92 GH                                               *
 *                                                                         *
 ***************************************************************************/

#include <clwclib.h>

#include "define.h"

struct  tm   {
   int  tm_sec;
   int  tm_min;
   int  tm_hour;
   int  tm_mday;
   int  tm_mon;
   int  tm_year;
   int  tm_wday;
   int  tm_yday;
   int  tm_isdst;
};

struct utm {  int u_sec;
              int u_min;
	      int u_hour;
	      int u_day;
              int u_mon;
	      int u_year;
};

char *       asctime(const struct tm *_tblock);
struct tm *  localtime(const time_t * timer);
time_t       mktime(struct tm * SplitTime);

time_t _StructToTime(const struct tm * tm);
void _TimeToStruct(time_t CurTime, struct tm * tm, int isDaylight);

