/* Release 0.01a*/
/*
 ***************************************************************************
 *                                                                         *
 *      block.h    - Definitions for string and memory functions          *
 *                                                                         *
 *      Copyright(C) 1992-92 Clarion Software Corporation.                 *
 *                                                                         *
 *      LastMod  7 Sep 92 GH                                               *
 *      Created  7 Sep 92 GH                                               *
 *                                                                         *
 ***************************************************************************/

#ifndef BLOCK_H
#define BLOCK_H

#ifdef __cplusplus
extern "C" {
#endif

#if 0000000
BYTE_ptr _mix_memchr(
                BYTE_ptr    source,
                BYTE        search_char);

Cardinal _mix_memidx(
                BYTE_ptr    source,
                BYTE        search_char);
#endif

BYTE_ptr _mix_memchr(
                BYTE_ptr    source,
                BYTE        search_char,
                size_t      max_index);

void _mix_memset(
                BYTE_ptr    source,
                BYTE        set_char,
                size_t      num_items);

Cardinal _mix_mem_ScanR2L(
                BYTE_ptr    source,
                BYTE        search_char,
                size_t      max_index);

Cardinal _mix_mem_ScanR(
                BYTE_ptr    source,
                BYTE        search_char,
                size_t      max_index);

Cardinal _mix_mem_ScanL(
                BYTE_ptr    source,
                BYTE        search_char,
                size_t      max_index);

Cardinal _mix_mem_ScanNeR(
                BYTE_ptr    source,
                BYTE        search_char,
                size_t      max_index);

Cardinal _mix_mem_ScanNeL(
                BYTE_ptr    source,
                BYTE        search_char,
                size_t      max_index);

void _mix_mem_lr_mov(
                BYTE_ptr    target,
                BYTE_ptr    source,
                size_t      num_bytes);

void _mix_mem_rl_mov(
                BYTE_ptr    target,
                BYTE_ptr    source,
                size_t      num_bytes);

void _mix_memmove(
                BYTE_ptr    target,
                BYTE_ptr    source,
                size_t      num_bytes);

Cardinal _mix_memcmp(
                BYTE_ptr    Str1,
                BYTE_ptr    Str2,
                size_t      num_bytes);

void _mix_cvt_to_lower(
                BYTE_ptr    StrToConv,
                size_t      num_bytes);

void _mix_cvt_to_upper(
                BYTE_ptr    StrToConv,
                size_t      num_bytes);

Cardinal _mix_substr(
                BYTE_ptr    MainStr,
                size_t      MainLen,
                BYTE_ptr    SubStr,
                size_t      SubLen);

#ifdef __cplusplus
}

#endif

#endif

