#include "claf.h"
#ifdef __cplusplus
extern "C" {
#endif


typedef Cla_FCBBLK * fcb;
typedef Cla_VCBBLK * vcb;
typedef Cla_KEYDESC * kcb;

#pragma save, name(prefix=>"")
void Cla$COPYFILE(void);
void Cla$RENAMEFILE(void);
void Cla$REMOVEFILE(void);
void Cla$FILE_ADDf           /* 1*/ (fcb f);
void Cla$FILE_ADDfu          /*51*/ (fcb f,unsigned len);
void Cla$FILE_APPENDf        /* 4*/ (fcb f);
void Cla$FILE_APPENDfu       /*59*/ (fcb f,unsigned len);
long Cla$FILE_BOF            /* 2*/ (fcb f);
void Cla$FILE_BUILDks        /* 5*/ (kcb k);
void Cla$FILE_BUILDksf       /*34*/ (kcb k, unsigned used);
void Cla$FILE_BUILDf         /* 3*/ (fcb f);
void Cla$FILE_BUILDk         /* 6*/ (kcb k);
void Cla$FILE_BUFFER         /*80*/ (fcb f, unsigned buffers, unsigned behind, unsigned ahead, unsigned timeout);
long Cla$FILE_BYTES          /*52*/ (fcb f);
long Cla$FILE_CEOF           /*14*/ (fcb f);
void Cla$FILE_CLOSE          /* 7*/ (fcb f);
void Cla$FILE_OPEN           /*25*/ (fcb f,int mode);
void Cla$FILE_COPY           /* 9*/ (fcb f) ;
void Cla$FILE_CREATE         /*10*/ (fcb f);
void Cla$FILE_DELETE         /*11*/ (fcb f);
long Cla$FILE_DUPLICATEf     /*12*/ (fcb f);
long Cla$FILE_DUPLICATEk     /*57*/ (kcb k);
void Cla$FILE_EMPTY          /*13*/ (fcb f);
void Cla$FILE_FLUSH          /*29*/ (fcb f);
void Cla$FILE_GETfk          /*15*/ (fcb f,kcb k);
void Cla$FILE_GETflu         /*53*/ (fcb f,long ptr,unsigned len);
void Cla$FILE_GETfl          /*16*/ (fcb f,long ptr);
void Cla$FILE_GETkl          /*17*/ (fcb f,kcb k,long ptr);
void Cla$FILE_HOLDf          /*18*/ (fcb f);
void Cla$FILE_HOLDfi         /*19*/ (fcb f,int seconds);
void Cla$FILE_LOCKf          /*20*/ (fcb f);
void Cla$FILE_LOCKfi         /*21*/ (fcb f,int seconds);
void Cla$FILE_NAME           /*23*/ (fcb f);
void Cla$FILE_NEXT           /*24*/ (fcb f);
void Cla$FILE_PACK           /*26*/ (fcb f);
long Cla$FILE_POINTERf       /*27*/ (fcb f);
long Cla$FILE_POINTERk       /*28*/ (kcb k);
void Cla$FILE_POSITIONf      /*61*/ (fcb f);
void Cla$FILE_POSITIONk      /*62*/ (kcb k);
void Cla$FILE_PREV           /*31*/ (fcb f);
void Cla$FILE_PUTf           /*30*/ (fcb f);
void Cla$FILE_PUTfl          /*54*/ (fcb f,long ptr);
void Cla$FILE_PUTflu         /*55*/ (fcb f,long ptr,unsigned len);
long Cla$FILE_RECORDSf       /*32*/ (fcb f);
long Cla$FILE_RECORDSk       /*33*/ (kcb k);
void Cla$FILE_RELEASE        /*36*/ (fcb f);
void Cla$FILE_REMOVE         /*37*/ (fcb f);
void Cla$FILE_RENAME         /*38*/ (fcb f);
void Cla$FILE_RESETf         /*63*/ (fcb f);
void Cla$FILE_RESETk         /*64*/ (kcb k);
void Cla$FILE_SEND           /*60*/ (fcb f);
void Cla$FILE_SETf           /*41*/ (fcb f);
void Cla$FILE_SETfk          /*42*/ (fcb f,kcb k);
void Cla$FILE_SETfl          /*43*/ (fcb f,long ptr);
void Cla$FILE_SETk           /*44*/ (kcb k);
void Cla$FILE_SETkkl         /*47*/ (kcb k,kcb k2,long ptr);
void Cla$FILE_SETkk          /*45*/ (kcb k, kcb k2);
void Cla$FILE_SETkl          /*46*/ (kcb k,long ptr);
void Cla$FILE_SHARE          /*48*/ (fcb f,int mode);
void Cla$FILE_SKIP           /*49*/ (fcb f,long num);
void Cla$FILE_STREAM         /*56*/ (fcb f);
void Cla$FILE_UNLOCK         /*50*/ (fcb f);
void Cla$FILE_WATCH          /*58*/ (fcb f);
void Cla$FILE_NOMEMO         /*65*/ (fcb f);
void Cla$FILE_REGETf         /*66*/ (fcb f);
void Cla$FILE_REGETk         /*67*/ (kcb k);
long Cla$FILE_NULL           /*68*/ (fcb f,void *field,int len);
void Cla$FILE_SETNULL        /*69*/ (fcb f,void *field,int len);
void Cla$FILE_SETNONULL      /*70*/ (fcb f,void *field,int len);
void Cla$FILE_SET_PROPERTY   /*71*/ (fcb f,int ndx);
void Cla$FILE_GET_PROPERTY   /*72*/ (fcb f,int ndx);

void Cla$FILE_COMMIT         /* 8*/ (fcb f);
void Cla$FILE_LOGOUT         /*22*/ (fcb f);
void Cla$FILE_ROLLBACK       /*40*/ (fcb f);
void Cla$BLOB_YIELD          /*74*/ (fcb f,unsigned short memo,unsigned long start,unsigned long len);
void Cla$BLOB_TAKE           /*75*/ (fcb f,unsigned short memo,unsigned long start,unsigned long len);
unsigned long Cla$BLOB_SIZE  /*76*/ (fcb f,unsigned short memo);
void Cla$BLOB_SET_PROPERTY   /*77*/ (fcb f,unsigned short memo);
void Cla$BLOB_GET_PROPERTY   /*78*/ (fcb f,unsigned short memo);

void Cla$VIEW_SETvl          /*81*/ (vcb v,long fields);

void Cla$FILE_CLEAR          /*82*/ (fcb f,int v);
void Cla$VIEW_RESETvf        /*83*/ (vcb v, fcb f);

void Cla$FILE_STARTBUILD     /*84*/ (fcb f);
void Cla$KEY_SET_PROPERTY    /*85*/ (fcb f,kcb k,int ndx);
void Cla$KEY_GET_PROPERTY    /*86*/ (fcb f,kcb k,int ndx);
void Cla$FILE_DO_PROPERTY    /*88*/ (fcb f);
void Cla$KEY_DO_PROPERTY     /*89*/ (fcb f, kcb k,int ndx);
void Cla$BLOB_DO_PROPERTY    /*90*/ (fcb f, unsigned short memo);
void Cla$FILE_BULKREAD       /*92 & 93*/ (fcb f, int on);

void Cla$ThreadedFileOpen(fcb fp);
void Cla$ThreadedFileClose(fcb fp);

#ifdef __cplusplus
}
#endif

#pragma restore


