/*--------------------------------------------------------------------------*
 *  CLWINIT.H - defines governing initialization order of CLW library       *       		            *
 *                                                                          *
 *  COPYRIGHT (C) 1995 TopSpeed Corporation.                                *
 *  All Rights Reserved                                                     *
 *                                                                          *
 *--------------------------------------------------------------------------*/

#ifndef _CLWINIT_INCL
#define _CLWINIT_INCL

#define _INIT_DIAGNOSTICS 255   // tracing tools, self contained

#define _INIT_EXCEPTIONS 220    // cpp exception handling

#define _INIT_HEAP1 200         // malloc/free heap
#define _INIT_HEAP2 190         // new/delete heap

#define _INIT_FONTS      150
#define _INIT_BRUSHES    150

extern "Modula2" {

void Clw$SetStartInfo(int);
int  Clw$GetStartInfo(void);

}

#endif  // _CLWINIT_INCL
