#include <clwclib.h>

#ifdef __cplusplus
extern "C" {
#endif

// searchpath TBD?
#define searchpath(p) ((char *)0L)
#define FA_NORMAL	0x00		/* normal file */
#define FA_RDONLY	0x01		/* Read only attribute */
#define FA_HIDDEN	0x02		/* Hidden file */
#define FA_SYSTEM	0x04		/* System file */
#define FA_LABEL	0x08		/* Volume label */
#define FA_DIREC	0x10		/* Directory */
#define FA_ARCH 	0x20		/* Archive */

// PSW -- Copied from MSDOS.C

struct WORDREGS {
    unsigned int ax, bx, cx, dx, si, di, cflag, flags;
};

struct BYTEREGS {
    unsigned char al, ah, bl, bh, cl, ch, dl, dh;
};

union  REGS {
   struct WORDREGS x;
   struct BYTEREGS h;
};

struct SREGS {
    unsigned int es;
    unsigned int cs;
    unsigned int ss;
    unsigned int ds;
};

struct REGPACK {
    unsigned  r_ax, r_bx, r_cx, r_dx;
    unsigned  r_bp, r_si, r_di, r_ds, r_es, r_flags;
};

int     int86(int _intno, const union REGS * _inregs, union REGS * _outregs);
int     int86x(int _intno, const union REGS * _inregs, union REGS * _outregs,
	                                         struct SREGS * _segregs);
int     intdos(const union REGS * _inregs, union REGS * _outregs);
int     intdosx(const union REGS * _inregs, union REGS * _outregs,
                                      struct SREGS * _segregs);
int     intdosxstc(const union REGS * _inregs, union REGS * _outregs,
                                      struct SREGS * _segregs);

#ifdef __cplusplus
}
#endif
