/* Release 0.01a*/
/*
 ***************************************************************************
 *                                                                         *
 *      match.h    - Mixed language pattern matching functions             *
 *                                                                         *
 *      Copyright(C) 1992-92 Clarion Software Corporation.                 *
 *                                                                         *
 *      LastMod  4 Dec 92 GH                                               *
 *      Created  9 Sep 92 GH                                               *
 *                                                                         *
 ***************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
        Cardinal         Pos;
        Cardinal         Len;
        } PosLenRec;

extern BOOL _full_match(
                BYTE_ptr    Source,
                size_t      SourceLen,
                BYTE_ptr    Pattern,
                size_t      PatternLen);

extern BOOL _find_sub_str(
                BYTE_ptr    Source,
                size_t      SourceLen,
                BYTE_ptr    Pattern,
                size_t      PatternLen,
                BYTE_ptr    PosLenList,
                size_t      MaxEntries);

#ifdef __cplusplus
}
#endif

