/*****************************************************************************\
* wsprintf and wvsprintf extracted from windows.h                                                                            *
\****************************************************************************/

#ifndef _INC_WINDOWS
#pragma save, call(opt_var_arg=>off)

#ifdef __cplusplus
extern "C" {            /* Assume C declarations for C++ */
#endif	/* __cplusplus */

/******* Common definitions and typedefs ***********************************/

#define VOID		    void

#define FAR                 far
#define NEAR		    near
#define PASCAL		    pascal
#define CDECL		    cdecl
#define HUGE                huge

#define WINAPI              far pascal
#define CALLBACK            far pascal


typedef char FAR*           LPSTR;
typedef const char FAR*     LPCSTR;

int     WINAPI wvsprintf(LPSTR lpszOut, LPCSTR lpszFmt, const void FAR* lpParams);

int	FAR CDECL wsprintf(LPSTR lpszOut, LPCSTR lpszFmt, ...);


#ifdef __cplusplus
}                       /* End of extern "C" { */
#endif	/* __cplusplus */

#pragma restore
#endif  /* _INC_WINDOWS */
